* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --twitter-color: #50b7f5;
  --twitter-background: #e6ecf0;
  --twitter-hover-background: rgba(0, 0, 0, 0.03);
  --twitter-text: #0f1419;
  --twitter-img-color: rgb(83, 100, 113);
}

@font-face {
  font-family: "Twitter Chirp";
  src: url("../fonts/TwitterChirp.woff2") format("woff2"),
    url("../fonts/TwitterChirp.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Twitter Chirp";
  src: url("../fonts/TwitterChirpMedium.woff2") format("woff2"),
    url("../fonts/TwitterChirpMedium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Twitter Chirp";
  src: url("../fonts/TwitterChirpBold.woff2") format("woff2"),
    url("../fonts/TwitterChirpBold.woff") format("woff");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Twitter Chirp";
  src: url("../fonts/TwitterChirpHeavy.woff2") format("woff2"),
    url("../fonts/TwitterChirpHeavy.woff") format("woff");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

body {
  font-family: "Twitter Chirp", Arial, Helvetica, sans-serif;
  display: flex;
  height: 100vh;
  max-width: 1300px;
  margin: 0 auto;
  padding: 0 10px;
  color: var(--twitter-text);
}

a {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: var(--twitter-text);
}
.post__footer a,
li {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-right: 79px;
  color: var(--twitter-text);
  list-style-type: none;
  text-decoration: none;
}

/* feed */
.feed {
  margin: 0 auto;
  border-right: 1px solid var(--twitter-background);
  border-left: 1px solid var(--twitter-background);
  max-width: 598px;
  overflow-y: scroll;
}

.feed__header {
  position: sticky;
  display: flex;
  justify-content: space-between;
  top: 0;
  background-color: white;
  z-index: 100;
  border: 1px solid var(--twitter-background);
  padding: 15px 20px;
}

img[class^="img-"] {
  width: 18.75px;
  height: 18.75px;
}

.feed__header-title {
  font-size: 20px;
  line-height: 24px;
  font-weight: 700;
}

.feed__header-link {
  margin-right: initial;
  text-decoration: none;
  color: black;
}

.feed::-webkit-scrollbar {
  display: none;
}

.feed {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

/* tweet box */
.tweetbox__input img {
  border-radius: 50%;
  height: 40px;
}

.tweetBox {
  padding-bottom: 10px;
  border-bottom: 2px solid var(--twitter-background);
  padding-right: 10px;
}

.tweetBox form {
  display: flex;
  flex-direction: column;
}

.tweetbox__input {
  display: flex;
  padding: 20px;
}

.tweetbox__input input {
  margin-left: 20px;
  font-size: 20px;
  border: none;
  outline: none;
}

.tweetBox__tweetButton {
  background-color: var(--twitter-color);
  border: none;
  color: white;
  font-weight: 900;

  border-radius: 30px;
  width: 80px;
  height: 40px;
  margin-top: 20px;
  margin-left: auto;
}

/* post */
.post {
  display: flex;
  align-items: flex-start;
  border-bottom: 1px solid var(--twitter-background);
  padding-bottom: 10px;
}
.post:hover {
  background-color: var(--twitter-hover-background);
}

.post__body {
  position: relative;
  padding: 12px;
}

.post__img {
  width: 504px;
  object-fit: contain;
  border-radius: 20px;
}

.post__avatar {
  padding: 16px;
}

.post__avatar * {
  margin-right: 0;
}

.post__avatar img {
  border-radius: 50%;
  height: 40px;
}

.post__box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 6px;
  margin-top: 6px;
}

.post__wrapper {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  font-weight: 400;
  font-size: 15px;
  color: #536471;
}
.post__name {
  margin-right: 6px;
  font-size: 15px;
  color: black;
  text-decoration: none;
}
.img-verified {
  margin-right: 12px;
  color: var(--twitter-color);
}
.post__email {
  display: flex;
  align-items: center;
  color: var(--twitter-text);
  text-decoration: none;
}

.img-more {
  width: 20px;
  height: 20px;
  fill: var(--twitter-img-color);
  align-self: flex-end;
  margin-right: 20px;
}

.post__more:hover * {
  fill: var(--twitter-color);
}

.post__more:hover:after {
  content: "";
  position: absolute;
  width: 32px;
  height: 32px;
  right: 26px;
  background-color: rgba(80, 183, 245, 0.2);
  /* border: 1px solid var(--twitter-img-color); */
  border-radius: 50%;
  overflow: hidden;
}

.post__title {
  font-size: 20px;
  font-weight: 700;
}

.post__message {
  color: black;
  margin-bottom: 10px;
  font-size: 15px;
  line-height: 20px;
}

.post__delete {
  display: none;
  position: absolute;
  top: 11px;
  right: 70px;
  background-color: var(--twitter-background);
  padding: 6px 16px;
  border: 1px solid var(--twitter-img-color);
  border-radius: 20px;
}
.post__delete:hover {
  background-color: var(--twitter-img-color);
  color: white;
  cursor: pointer;
}

.post__footer {
  display: flex;
  justify-content: flex-start;
  margin-top: 10px;
  font-size: 13px;
}
